Subject: [bmwg] I-D Action: draft-ietf-bmwg-ipv6-tran-tech-benchmarking-02.txt

From: [email-masked]
Date: Wed, 06 Jul 2016 22:42:53 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Benchmarking Methodology of the IETF.

        Title           : Benchmarking Methodology for IPv6 Transition Technologies
        Authors         : Marius Georgescu
                          Gabor Lencse
	Filename        : draft-ietf-bmwg-ipv6-tran-tech-benchmarking-02.txt
	Pages           : 26
	Date            : 2016-07-06

Abstract:
   There are benchmarking methodologies addressing the performance of
   network interconnect devices that are IPv4- or IPv6-capable, but the
   IPv6 transition technologies are outside of their scope. This
   document provides complementary guidelines for evaluating the
   performance of IPv6 transition technologies.  More specifically,
   this document targets IPv6 transition technologies that employ
   encapsulation or translation mechanisms, as dual-stack nodes can be
   very well tested using the recommendations of RFC2544 and RFC5180.
   The methodology also includes a tentative metric for benchmarking
   load scalability.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-bmwg-ipv6-tran-tech-benchmarking/

There's also a htmlized version available at:
https://tools.ietf.org/html/draft-ietf-bmwg-ipv6-tran-tech-benchmarking-02

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-bmwg-ipv6-tran-tech-benchmarking-02

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Marius Georgescu <[email-masked]>
Date: Thu, 7 Jul 2016 15:00:46 +0900

Hello BMWG Members,

Thank you for your support and feedback so far.
Please find below an overview of the changelog for draft-ietf-bmwg-ipv6-tran-tech-benchmarking-02

*following Fred Baker, Tim Chown and Scott Bradner's comments
	+ added mixed traffic conditions in Section 5.3
	+ added Section 11 for NAT44, NAT66
	+ mentioned the incremental scalability 1st test duration should  be at least 60 sec
*following Al Morton’s comment
	+ added RFC2330 as reference for median/percentiles
*following Jacon Rapp’s comment
	+ added a MAY for histograms as a fine grain report option 
*considering the lack of support for DNS46 in DNSOP and BMWG (and IETF in general) we decided not to  include it in this document.
*various editorial changes and improvements 

**Still to cover
*following Jacob Rapp’s comments
	- a recommendation for where to include the tag in the frame for measuring latency
	The rough idea is to include the identification tag as part of the UDP payload (as a sort of UDP sequence number). 
	This solution is used by one of the traffic generators we tested (D-ITG). 
	However, we would like to confirm with more empirical testing and possibly work towards a v6transperf implementation.
	Rough consensus and running code ! :)

Best regards,
The authors

> On Jul 7, 2016, at 14:42, [email-masked] wrote:
> 
> 
> _______________________________________________
> bmwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bmwg